package de.unikoblenz.fgbks.base.utils.boundary.bicreater;

import de.unikoblenz.fgbks.base.utils.boundary.impl.StringBoundary;
import java.util.Optional;

public class BiCreaterStringIntersection extends AbstractBoundaryBiCreater<StringBoundary> {

  private static final BiCreaterStringIntersection instance = new BiCreaterStringIntersection();

  private BiCreaterStringIntersection() {
    super();
  }

  public static BiCreaterStringIntersection getInstance() {
    return instance;
  }

  @Override
  public BoundaryBiCreaterType getType() {
    return BoundaryBiCreaterType.INTERSECTION;
  }

  @Override
  public Optional<StringBoundary> create(StringBoundary b1, StringBoundary b2) {
    return Optional.empty();
  }
}
