package de.unikoblenz.fgbks.core.dmn.utils;

import de.unikoblenz.fgbks.core.dmn.domain.vdmn.VDmnDefinition;
import java.util.List;
import org.camunda.bpm.dmn.engine.DmnDecision;
import org.camunda.bpm.model.dmn.DmnModelInstance;

public class DmnObjectContainer {

  private final List<DmnDecision> dmnDecisions;
  private final DmnModelInstance dmnModel;
  private final VDmnDefinition vDmnDefinition;

  public List<DmnDecision> getDmnDecisions() {
    return dmnDecisions;
  }

  public DmnModelInstance getDmnModel() {
    return dmnModel;
  }

  public VDmnDefinition getVDmnDefinition() {
    return vDmnDefinition;
  }

  public DmnObjectContainer(
      List<DmnDecision> dmnDecisions, DmnModelInstance dmnModel, VDmnDefinition vDmnDefinition) {
    this.dmnDecisions = dmnDecisions;
    this.dmnModel = dmnModel;
    this.vDmnDefinition = vDmnDefinition;
  }
}
